package com.example.flutter_lingman_plugin;

import android.app.Activity;
import android.content.Context;
import android.os.Build;
import android.util.Log;

import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;

import java.util.HashMap;

import io.flutter.embedding.android.FlutterActivity;
import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.EventChannel;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry;

/** FlutterLingmanPlugin */
@RequiresApi(api = Build.VERSION_CODES.N)
public class FlutterLingmanPlugin extends FlutterActivity implements FlutterPlugin{

  private final String TAG = "MainPortraitActivity";

  public static EventChannel.EventSink _events;

  //Dart调用原生的通道
  private static final String METHOD_CHANNEL = "flutter_lingman_plugin";
  private static final String EVENT_CHANNEL = "flutter_lingman_plugin/event";

  private static Activity activity;
  private static Context mContext;
  private MethodCall _call;
  private Result _methodResult;
  private boolean isInit = false;

  private HashMap<String, Object> viewConfig;

  public FlutterLingmanPlugin() {
  }


  // 初始化
  public static void registerWith(PluginRegistry.Registrar registrar) {
    final MethodChannel methodchannel = new MethodChannel(registrar.messenger(), METHOD_CHANNEL);
    methodchannel.setMethodCallHandler(new MethodCallHandlerImpl(methodchannel, registrar.context()));
  }

  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding binding) {
 

    final MethodChannel methodchannel = new MethodChannel(binding.getBinaryMessenger(), METHOD_CHANNEL);
    methodchannel.setMethodCallHandler(new MethodCallHandlerImpl(methodchannel, binding.getApplicationContext()));


    final EventChannel eventChannel = new EventChannel(binding.getBinaryMessenger(), EVENT_CHANNEL);
    eventChannel.setStreamHandler(new EventStreamHandlerImpl(eventChannel, binding.getApplicationContext()));

  }

  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
    Log.d(TAG, "onDetachedFromEngine: ");
  }








}

